OAuth::setCAPath
OAuth::setRequestEngine
OAuth
PHP Manual

# OAuth::setNonce

(PECL OAuth >= 0.99.1)

OAuth::setNonce — Set the nonce for subsequent requests

### Description

public mixed OAuth::setNonce ( string `$nonce` )

Sets the nonce for all subsequent requests.

### Parameters

`nonce`

  The value for oauth_nonce.

### Return Values

Returns `TRUE` on success, or `FALSE` if the `nonce` is considered invalid.

### Changelog

Version | Description
--- | ---
1.0.0 | Previously returned `NULL` on failure, instead of `FALSE`.

### See Also

- OAuth::setToken() - Sets the token and secret
- OAuth::setAuthType() - Set authorization type
- OAuth::setVersion() - Set the OAuth version

OAuth::setCAPath
OAuth::setRequestEngine
OAuth
PHP Manual